[HELP!] ProxyError(Cannot connect to proxy


#1

I can’t install letsencrypt

root@web:/letsencrypt# ./letsencrypt-auto                                                                                                    
Updating letsencrypt and virtual environment dependencies...Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'ProxyError('Cannot connect to proxy.', gaierror(-2, 'Name or service not known'))': /simple/setuptools/
Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by 'ProxyError('Cannot connect to proxy.', gaierror(-2, 'Name or service not known'))': /simple/setuptools/
Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ProxyError('Cannot connect to proxy.', gaierror(-2, 'Name or service not known'))': /simple/setuptools/
Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ProxyError('Cannot connect to proxy.', gaierror(-2, 'Name or service not known'))': /simple/setuptools/
Could not find a version that satisfies the requirement letsencrypt (from versions: )
No matching distribution found for letsencrypt

#2

i did not update certs on my crystal ball, do detail if you have a proxy or not? It needs one on HTTPS too, if you have one on HTTP that is.

Also run with -v -v for extra info :wink: